Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::LazyField Class Reference

`#include <FieldsReader.h>`

Inheritance diagram for Lucene::LazyField:

## Public Member Functions

| LazyField (const FieldsReaderPtr &reader, const String &name, Store store, int32_t toRead, int64_t pointer, bool isBinary, bool isCompressed)
| LazyField (const FieldsReaderPtr &reader, const String &name, Store store, Index index, TermVector termVector, int32_t toRead, int64_t pointer, bool isBinary, bool isCompressed)
virtual | ~LazyField ()
virtual String | getClassName ()
boost::shared_ptr< LazyField > | shared_from_this ()
ReaderPtr | readerValue ()
| The value of the field as a Reader, or null. If null, the String value, binary value, or TokenStream value is used. Exactly one of stringValue(), readerValue(), getBinaryValue(), and tokenStreamValue() must be set. More...
TokenStreamPtr | tokenStreamValue ()
| The value of the field as a TokenStream, or null. If null, the Reader value, String value, or binary value is used. Exactly one of stringValue(), readerValue(), getBinaryValue(), and tokenStreamValue() must be set. More...
String | stringValue ()
| The value of the field as a String, or null. If null, the Reader value, binary value, or TokenStream value is used. Exactly one of stringValue(), readerValue(), getBinaryValue(), and tokenStreamValue() must be set. More...
int64_t | getPointer ()
void | setPointer (int64_t pointer)
int32_t | getToRead ()
void | setToRead (int32_t toRead)
virtual ByteArray | getBinaryValue (ByteArray result)
| Return the raw byte[] for the binary field. More...
Public Member Functions inherited from Lucene::AbstractField
virtual | ~AbstractField ()
boost::shared_ptr< AbstractField > | shared_from_this ()
virtual void | setBoost (double boost)
| Sets the boost factor hits on this field. This value will be multiplied into the score of all hits on this this field of this document. More...
virtual double | getBoost ()
| Returns the boost factor for hits for this field. More...
virtual String | name ()
| Returns the name of the field as an interned string. For example "date", "title", "body", ... More...
virtual bool | isStored ()
| True if the value of the field is to be stored in the index for return with search hits. It is an error for this to be true if a field is Reader-valued. More...
virtual bool | isIndexed ()
| True if the value of the field is to be indexed, so that it may be searched on. More...
virtual bool | isTokenized ()
| True if the value of the field should be tokenized as text prior to indexing. Un-tokenized fields are indexed as a single word and may not be Reader-valued. More...
virtual bool | isTermVectorStored ()
| True if the term or terms used to index this field are stored as a term vector, available from IndexReader#getTermFreqVector(int,String). These methods do not provide access to the original content of the field, only to terms used to index it. If the original content must be preserved, use the stored attribute instead. More...
virtual bool | isStoreOffsetWithTermVector ()
| True if terms are stored as term vector together with their offsets (start and end position in source text). More...
virtual bool | isStorePositionWithTermVector ()
| True if terms are stored as term vector together with their token positions. More...
virtual bool | isBinary ()
| True if the value of the field is stored as binary. More...
virtual ByteArray | getBinaryValue ()
| Return the raw byte[] for the binary field. Note that you must also call getBinaryLength and getBinaryOffset to know which range of bytes in this returned array belong to the field. More...
virtual int32_t | getBinaryLength ()
| Returns length of byte[] segment that is used as value, if Field is not binary returned value is undefined. More...
virtual int32_t | getBinaryOffset ()
| Returns offset into byte[] segment that is used as value, if Field is not binary returned value is undefined. More...
virtual bool | getOmitNorms ()
| True if norms are omitted for this indexed field. More...
virtual bool | getOmitTermFreqAndPositions ()
virtual void | setOmitNorms (bool omitNorms)
| If set, omit normalization factors associated with this indexed field. This effectively disables indexing boosts and length normalization for this field. More...
virtual void | setOmitTermFreqAndPositions (bool omitTermFreqAndPositions)
| If set, omit term freq, positions and payloads from postings for this field. More...
virtual bool | isLazy ()
| Indicates whether a Field is Lazy or not. The semantics of Lazy loading are such that if a Field is lazily loaded, retrieving it's values via stringValue() or getBinaryValue() is only valid as long as the IndexReader that retrieved the Document is still open. More...
virtual String | toString ()
| Prints a Field for human consumption. More...
Public Member Functions inherited from Lucene::Fieldable
virtual | ~Fieldable ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::AbstractField
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::Fieldable
static String | _getClassName ()

## Protected Member Functions

IndexInputPtr | getFieldStream ()
Protected Member Functions inherited from Lucene::AbstractField
| AbstractField ()
| AbstractField (const String &name, Store store, Index index, TermVector termVector)
void | setStoreTermVector (TermVector termVector)
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

FieldsReaderWeakPtr | _reader
int32_t | toRead
int64_t | pointer
bool | isCompressed
Protected Attributes inherited from Lucene::AbstractField
String | _name
bool | storeTermVector
bool | storeOffsetWithTermVector
bool | storePositionWithTermVector
bool | _omitNorms
bool | _isStored
bool | _isIndexed
bool | _isTokenized
bool | _isBinary
bool | lazy
bool | omitTermFreqAndPositions
double | boost
FieldsData | fieldsData
TokenStreamPtr | tokenStream
int32_t | binaryLength
int32_t | binaryOffset
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Public Types inherited from Lucene::AbstractField
enum | Store { STORE_YES , STORE_NO }
| Specifies whether and how a field should be stored. More...
enum | Index { INDEX_NO , INDEX_ANALYZED , INDEX_NOT_ANALYZED , INDEX_NOT_ANALYZED_NO_NORMS , INDEX_ANALYZED_NO_NORMS }
| Specifies whether and how a field should be indexed. More...
enum | TermVector { TERM_VECTOR_NO , TERM_VECTOR_YES , TERM_VECTOR_WITH_POSITIONS , TERM_VECTOR_WITH_OFFSETS , TERM_VECTOR_WITH_POSITIONS_OFFSETS }
| Specifies whether and how a field should have term vectors. More...

## Constructor & Destructor Documentation

## ◆ LazyField() [1/2]

Lucene::LazyField::LazyField | ( | const FieldsReaderPtr & | reader,
|  | const String & | name,
|  | Store | store,
|  | int32_t | toRead,
|  | int64_t | pointer,
|  | bool | isBinary,
|  | bool | isCompressed
| ) |  |

## ◆ LazyField() [2/2]

Lucene::LazyField::LazyField | ( | const FieldsReaderPtr & | reader,
|  | const String & | name,
|  | Store | store,
|  | Index | index,
|  | TermVector | termVector,
|  | int32_t | toRead,
|  | int64_t | pointer,
|  | bool | isBinary,
|  | bool | isCompressed
| ) |  |

## ◆ ~LazyField()

virtual Lucene::LazyField::~LazyField | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::LazyField::_getClassName | ( |  | ) |

inline static

## ◆ getBinaryValue()

virtual ByteArray Lucene::LazyField::getBinaryValue | ( | ByteArray | result | ) |

virtual

Return the raw byte[] for the binary field.

Reimplemented from Lucene::AbstractField.

## ◆ getClassName()

virtual String Lucene::LazyField::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::AbstractField.

## ◆ getFieldStream()

IndexInputPtr Lucene::LazyField::getFieldStream | ( |  | ) |

protected

## ◆ getPointer()

int64_t Lucene::LazyField::getPointer | ( |  | ) |

## ◆ getToRead()

int32_t Lucene::LazyField::getToRead | ( |  | ) |

## ◆ readerValue()

ReaderPtr Lucene::LazyField::readerValue | ( |  | ) |

virtual

The value of the field as a Reader, or null. If null, the String value, binary value, or TokenStream value is used. Exactly one of stringValue(), readerValue(), getBinaryValue(), and tokenStreamValue() must be set.

Implements Lucene::Fieldable.

## ◆ setPointer()

void Lucene::LazyField::setPointer | ( | int64_t | pointer | ) |

## ◆ setToRead()

void Lucene::LazyField::setToRead | ( | int32_t | toRead | ) |

## ◆ shared_from_this()

boost::shared_ptr< LazyField > Lucene::LazyField::shared_from_this | ( |  | ) |

inline

## ◆ stringValue()

String Lucene::LazyField::stringValue | ( |  | ) |

virtual

The value of the field as a String, or null. If null, the Reader value, binary value, or TokenStream value is used. Exactly one of stringValue(), readerValue(), getBinaryValue(), and tokenStreamValue() must be set.

Implements Lucene::Fieldable.

## ◆ tokenStreamValue()

TokenStreamPtr Lucene::LazyField::tokenStreamValue | ( |  | ) |

virtual

The value of the field as a TokenStream, or null. If null, the Reader value, String value, or binary value is used. Exactly one of stringValue(), readerValue(), getBinaryValue(), and tokenStreamValue() must be set.

Implements Lucene::Fieldable.

## Field Documentation

## ◆ _reader

FieldsReaderWeakPtr Lucene::LazyField::_reader

protected

## ◆ isCompressed

bool Lucene::LazyField::isCompressed

protected

Deprecated:
  Only kept for backward-compatibility with <3.0 indexes.

## ◆ pointer

int64_t Lucene::LazyField::pointer

protected

## ◆ toRead

int32_t Lucene::LazyField::toRead

protected

The documentation for this class was generated from the following file:

- FieldsReader.h

clucene.sourceforge.net